matrix_interpolation.hpp File Reference

GLM_GTX_matrix_interpolation More...

Go to the source code of this file.

## Functions

template<typename T , precision P>
GLM_FUNC_DECL void | axisAngle (tmat4x4< T, P > const &mat, tvec3< T, P > &axis, T &angle)
| Get the axis and angle of the rotation from a matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | axisAngleMatrix (tvec3< T, P > const &axis, T const angle)
| Build a matrix from axis and angle. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | extractMatrixRotation (tmat4x4< T, P > const &mat)
| Extracts the rotation part of a matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | interpolate (tmat4x4< T, P > const &m1, tmat4x4< T, P > const &m2, T const delta)
| Build a interpolation of 4 * 4 matrixes. More...

## Detailed Description

GLM_GTX_matrix_interpolation

Author
  Ghenadii Ursachi (the.a.nosp@m.ster.nosp@m.oth@g.nosp@m.mail.nosp@m..com)

See also
  GLM Core (dependence)

Definition in file matrix_interpolation.hpp.